<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__smif__hybrid__region__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_smif_hybrid_region_info_t</compoundname>
    <includes local="no">cy_smif_memslot.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__smif__hybrid__region__info__t_1aced799769c060352abbbbff1603c00d5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_hybrid_region_info_t::regionAddress</definition>
        <argsstring />
        <name>regionAddress</name>
        <briefdescription>
<para>This specifies the address where a region starts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="364" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="364" />
      </memberdef>
      <memberdef id="structcy__stc__smif__hybrid__region__info__t_1a8091f46b31b31c38e46fa7eec1e35cff" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_hybrid_region_info_t::sectorsCount</definition>
        <argsstring />
        <name>sectorsCount</name>
        <briefdescription>
<para>This specifies the number of sectors in the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="365" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="365" />
      </memberdef>
      <memberdef id="structcy__stc__smif__hybrid__region__info__t_1ab85285e79db802a1d10a3c057d5bbc68" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_hybrid_region_info_t::eraseCmd</definition>
        <argsstring />
        <name>eraseCmd</name>
        <briefdescription>
<para>This specifies the region specific erase instruction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="366" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="366" />
      </memberdef>
      <memberdef id="structcy__stc__smif__hybrid__region__info__t_1adfc0f4f12e086a45f53008ac2158c62a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_hybrid_region_info_t::eraseSize</definition>
        <argsstring />
        <name>eraseSize</name>
        <briefdescription>
<para>This specifies the size of one sector. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="367" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="367" />
      </memberdef>
      <memberdef id="structcy__stc__smif__hybrid__region__info__t_1a09282d5a0e7c8b9e1614b9a8cc547a37" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_smif_hybrid_region_info_t::eraseTime</definition>
        <argsstring />
        <name>eraseTime</name>
        <briefdescription>
<para>Max time for sector erase type 1 cycle time in ms. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="368" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="368" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure specifies data used for memory with hybrid sectors. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="369" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" bodystart="362" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif_memslot.h" line="363" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__smif__hybrid__region__info__t_1ab85285e79db802a1d10a3c057d5bbc68" virt="non-virtual"><scope>cy_stc_smif_hybrid_region_info_t</scope><name>eraseCmd</name></member>
      <member prot="public" refid="structcy__stc__smif__hybrid__region__info__t_1adfc0f4f12e086a45f53008ac2158c62a" virt="non-virtual"><scope>cy_stc_smif_hybrid_region_info_t</scope><name>eraseSize</name></member>
      <member prot="public" refid="structcy__stc__smif__hybrid__region__info__t_1a09282d5a0e7c8b9e1614b9a8cc547a37" virt="non-virtual"><scope>cy_stc_smif_hybrid_region_info_t</scope><name>eraseTime</name></member>
      <member prot="public" refid="structcy__stc__smif__hybrid__region__info__t_1aced799769c060352abbbbff1603c00d5" virt="non-virtual"><scope>cy_stc_smif_hybrid_region_info_t</scope><name>regionAddress</name></member>
      <member prot="public" refid="structcy__stc__smif__hybrid__region__info__t_1a8091f46b31b31c38e46fa7eec1e35cff" virt="non-virtual"><scope>cy_stc_smif_hybrid_region_info_t</scope><name>sectorsCount</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>